
// -----------------------------------
// ManuellKey
// -----------------------------------

/*
MANUELL PROTOKOLL ----------------------

erste Zahl
1 = Links, 2 = Rechts, 3 = Gerade aus 5 = Toggle Stift

zweite Zahl
1 = an, 0 = aus

Gerade 
-1 Rueckwaerts, 0= Anhalten, +1 Vorwarts
*/

boolean is_left=false;
boolean is_right=false;
boolean is_up=false;
boolean is_down=false;

boolean is_pen=false;

void keyPressed() {
  
  if (keyCode == LEFT&&!is_left) { 
    println("l");
    is_left=true;
    OscMessage message = new OscMessage("/ml/mt/speed"); 
    message.add(-50.0);
    message.add(50.0);
    malokalSendOSC(message);  
  }
  if (keyCode == RIGHT&&!is_right) { 
    println("r");
    is_right=true;
    OscMessage message = new OscMessage("/ml/mt/speed"); 
    message.add(50.0);
    message.add(-50.0);
    malokalSendOSC(message);   
  }
  if (keyCode == UP&&!is_up) { 
    println("up");
    is_up=true;
    OscMessage message = new OscMessage("/ml/mt/speed"); 
    message.add(50.0);
    message.add(50.0);
    malokalSendOSC(message);   
    
  }
  if (keyCode == DOWN&&!is_down) { 
    println("down");
    is_down=true;
    OscMessage message = new OscMessage("/ml/mt/speed"); 
    message.add(-50.0);
    message.add(-50.0);
    malokalSendOSC(message);     
  }
  
  
  if (key == ' ') { 
     OscMessage message = new OscMessage("/ml/mt/pen"); 
     message.add(is_pen?1.0:0.0);
     malokalSendOSC(message);     
     if (is_pen) {
       is_pen=false; 
     } else {
       is_pen=true; 
     }
  }

}

void keyReleased() {
  
  boolean is_stop=false;
  
  if (keyCode == LEFT&&is_left) { 
    is_left=false; 
    is_stop=true;  
     }
  if (keyCode == RIGHT&&is_right) { 
    is_right=false;
    is_stop=true;  
  }
  if (keyCode == UP&&is_up) { 
    is_up=false;
    is_stop=true;  
  }
  if (keyCode == DOWN&&is_down) { 
    is_down=false;
    is_stop=true;  
  }
  
  if (is_stop) {
    OscMessage message = new OscMessage("/ml/mt/speed"); 
    message.add(0.0);
    message.add(0.0);
    malokalSendOSC(message);   
  }
  
}
